Commit Diff


commit - 558b983302a6bb97e3dbfc9ffabec1326df5a3c9
commit + cfed1cdc57edc88a5529ac95574e8d087c3002d3
blob - 0882e72302db6d96dc1990e4196d943719ff3fca
blob + f28e94a2cf3ec7afb08d9ed4a46b097c2fc9d8af
--- client/update-dragonfly.sh
+++ client/update-dragonfly.sh
@@ -17,7 +17,7 @@ log()
 check_temp_loc()
 {
 	if [ ! -d ${LOC} ]; then
-		install -d -o root -g wheel -m 700 ${LOC}
+		install -d -o root -g wheel -m 750 ${LOC}
 	fi
 }
 
@@ -190,7 +190,7 @@ backup_file()
 	BACKUPF=${BACKUPD}/`echo ${1} | sed -e 's/\//_/g'`
 
 	if [ ! -d ${BACKUPD} ]; then
-		install -d -o root -g wheel -m 700 ${BACKUPD} || return 1
+		install -d -o root -g wheel -m 750 ${BACKUPD} || return 1
 	fi
 
 	cat ${1} | gzip -9 - > ${BACKUPF}.gz || return 1
@@ -438,7 +438,7 @@ get_index()
 
 	# update-dragonfly directory not found
 	if [ ! -d ${LOC}/${VERSION} ]; then
-		install -d -o root -g wheel -m 700 ${LOC}/${VERSION} || \
+		install -d -o root -g wheel -m 750 ${LOC}/${VERSION} || \
 			return 1
 	fi